<html>
<head>
<title>OgreGLSLLinkProgram.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_4557aaee8cf510d5b035fe0c2c5dd433.html">src</a>      </li>
      <li class="navelem"><a class="el" href="dir_81e02400f093837e2a11409f96e5fd4f.html">GLSL</a>      </li>
      <li class="navelem"><a class="el" href="dir_2fa9b21d57931d849b3ca4a2f6225bef.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgreGLSLLinkProgram.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreGLPrerequisites_8h_source.html">OgreGLPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHardwareVertexBuffer_8h_source.html">OgreHardwareVertexBuffer.h</a>&quot;</code><br/>
</div>
<p><a href="OgreGLSLLinkProgram_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLUniformReference.html">Ogre::GLUniformReference</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure used to keep track of named uniforms in the linked program object.  <a href="structOgre_1_1GLUniformReference.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSLLinkProgram.html">Ogre::GLSLLinkProgram</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">C++ encapsulation of GLSL Program Object.  <a href="classOgre_1_1GLSLLinkProgram.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html">Ogre::GLSLLinkProgram::CustomAttribute</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name / attribute list.  <a href="structOgre_1_1GLSLLinkProgram_1_1CustomAttribute.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; GLUniformReference &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a24aca8d208dcf62fbe3bee9e759ac73d">Ogre::GLUniformReferenceList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <br class="typebreak"/>
GLUniformReferenceList::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a644f74bf84779c83312a97e169164d07">Ogre::GLUniformReferenceIterator</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
